QCA::PGPKeyContextProps Class Reference
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::PGPKeyContextProps:
[legend]

## Public Attributes

QDateTime | creationDate
QDateTime | expirationDate
QString | fingerprint
bool | inKeyring
bool | isSecret
bool | isTrusted
QString | keyId
QStringList | userIds

## Detailed Description

OpenPGP key properties.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want PGPKey instead.

For efficiency and simplicity, the members are directly accessed.

## Member Data Documentation

## keyId

QString QCA::PGPKeyContextProps::keyId

The key id.

## userIds

QStringList QCA::PGPKeyContextProps::userIds

List of user id strings for the key, the first one being the primary user id.

## isSecret

bool QCA::PGPKeyContextProps::isSecret

True if this key is a secret key, otherwise false.

## creationDate

QDateTime QCA::PGPKeyContextProps::creationDate

The time the key was created.

## expirationDate

QDateTime QCA::PGPKeyContextProps::expirationDate

The time the key expires.

## fingerprint

QString QCA::PGPKeyContextProps::fingerprint

The hex fingerprint of the key.

The format is all lowercase with no spaces.

## inKeyring

bool QCA::PGPKeyContextProps::inKeyring

True if this key is in a keyring (and thus usable), otherwise false.

## isTrusted

bool QCA::PGPKeyContextProps::isTrusted

True if this key is trusted (e.g.

signed by the keyring owner or via some web-of-trust), otherwise false

The documentation for this class was generated from the following file:

- qcaprovider.h